package org.robotlegs.demos.simplemodule
{
	import flash.display.DisplayObjectContainer;
	
	import org.robotlegs.demos.simplemodule.views.ApplicationMediator;
	import org.robotlegs.demos.simplemodule.views.ModuleView1;
	import org.robotlegs.demos.simplemodule.views.ModuleView1Mediator;
	import org.robotlegs.demos.simplemodule.views.ModuleView2;
	import org.robotlegs.demos.simplemodule.views.ModuleView2Mediator;
	import org.robotlegs.module.simplemodule.SimpleModule;
	import org.robotlegs.mvcs.Context;
		

	public class ApplicationContext extends Context
	{
		public function ApplicationContext(contextView:DisplayObjectContainer=null, autoStartup:Boolean=true)
		{
			super(contextView, autoStartup);
		}
		
		public override function startup():void {
			this.mediatorMap.mapView(ModuleView1, ModuleView1Mediator,SimpleModule );
			this.mediatorMap.mapView(ModuleView2, ModuleView2Mediator,SimpleModule);
			this.mediatorMap.mapView(contextView, ApplicationMediator);
			
		}
		
	}
}