package org.robotlegs.demos.simplemodule.views
{
	import mx.formatters.DateFormatter;
	
	import org.robotlegs.demos.simplemodule.events.ClearAllEvent;
	import org.robotlegs.demos.simplemodule.events.Module1Event;
	import org.robotlegs.demos.simplemodule.events.Module2Event;
	import org.robotlegs.module.simplemodule.SimpleModule;
	import org.robotlegs.module.simplemodule.events.SimpleModuleEvent;
	import org.robotlegs.mvcs.Mediator;
	
	public class ModuleView2Mediator extends Mediator
	{
		[Inject]
		public var simpleModule:SimpleModule;
		public function ModuleView2Mediator()
		{
			super();
		}
		
		public override function onRegister():void {
			this.eventMap.mapListener(simpleModule.getRLContext().eventDispatcher, SimpleModuleEvent.EVENT_SIMPLE_MODULE,handleSimpleModulelEvent);
			this.eventMap.mapListener(this.eventDispatcher,Module1Event.EVENT_MODULE1, handleEventModule1)
			this.eventMap.mapListener(this.eventDispatcher,ClearAllEvent.EVENT_CLEAR_ALL, handleClearAllEvent);
			this.simpleModule.view.title="Module2";
		}	
		
		protected function handleSimpleModulelEvent(event:SimpleModuleEvent):void {
			this.eventDispatcher.dispatchEvent(new Module2Event(Module2Event.EVENT_MODULE2,event.stringTosend));
		}	
		
		protected function handleEventModule1(event:Module1Event):void {
			this.simpleModule.view.outputTA.text+=SimpleModule.getFormattedOutput("Module1",event.stringTosend);
		}
		
		protected function handleClearAllEvent(event:ClearAllEvent):void {
			this.simpleModule.view.outputTA.text="";
		}
	}
}